function displacements = find_displacements(im1, im2, im1_regions, im2_regions)
%this could be more efficient but we're gonna assume that im1_regions and
%im2_regions neither have duplicate vales
%
%im1 and im2 are the same size, as well as im1_regions and im2_regions

displacements = zeros(length(im1_regions), ndims(im1));

for i = 1:length(im1_regions)
    c1 = regionprops(im1 == im1_regions(i), 'centroid');
    c1 = c1.Centroid;
    
    c2 = regionprops(im2 == im2_regions(i), 'centroid');
    c2 = c2.Centroid;
    
    displacements(i,:) = c2 - c1;
end