 script_add_to_path

img_info = get_image_info_v3(imgdir, resultsdir);

for i = 1:length(img_info.img_path)

    if ~exist([img_info.seg_save_parent filesep img_info.seg_root{i}], 'dir')
        mkdir([img_info.seg_save_parent filesep img_info.seg_root{i}])
    end
    
    
    [can_start, final_name, final_exists, temp_name] = chunk_start([img_info.seg_save_parent filesep 'seg_' num2str(i)]);
    if can_start && ~exist(img_info.seg_cell_name{i}, 'file')
        disp(['Segmenting ' img_info.img_path{i}])
        
        img = ml_readimage(img_info.img_path{i});
        
        [seg_dna, seg_cell] = segCells_alon_v3(img);
        
        seg_dna = int16(seg_dna);
        seg_cell = int16(seg_cell);
        
        save(img_info.seg_dna_name{i}, 'seg_dna')
        save(img_info.seg_cell_name{i}, 'seg_cell')
        
%         imwrite(uint16(seg_dna), [img_info.seg_dna_name{i}], 'tif');
%         imwrite(uint16(seg_cell), [img_info.seg_cell_name{i}], 'tif');
        
    end
end
