script_alon_setup

load([savedir filesep 'cellModel.mat'])


%this may need to be set correctly
model.cellShapeModel.shape_space_options.tempparent = [resultsdir filesep 'testimgs'];
model.cellShapeModel.shape_space_options.just_compute_distance = false;


im1 = model.cellShapeModel.imfunc(1);
im2 = model.cellShapeModel.imfunc(2000);


lambdalist = (1:10)./(10:-1:1);


ri = Greedy3D_lambda_pre_compressed(im1, im2, lambdalist, model.cellShapeModel.shape_space_options);


imgs = cell(1, length(lambdalist));
for i = 1:length(ri.interpolated_images)
    imgs{i} = im2projection_RGB(round(ri.interpolated_images{i}.get_data));
end

