function [img] = diffeo_img_function_v2(filenum, compressed_imgs, padding_final)

    if ~isempty(compressed_imgs{filenum})
        img = CompressLib.decompress(compressed_imgs{filenum});
        
        img = padarray(img, padding_final(filenum, [1,3,5]), 'pre');
        img = padarray(img, padding_final(filenum, [2,4,6]), 'post');

%         img = padarray(img, [imsizes(filenum,1) - imcrops(filenum,2), imsizes(filenum,2) - imcrops(filenum,4)], 'post');

    else
        img = [];
    end

end