function [ hfeats ] = haralickTexture( imgs )
%cross-channel haralic texture featsures
%
%gj@andrew.cmu.edu
%6/1/14

%imgs is a cell array of equal sized arrays
nimgs = length(imgs);

h_feats = cell(1, nimgs + ((nimgs^2-nimgs) / 2));

counter = 1;

for i = 1:nimgs
    for j = i:nimgs
%         disp(num2str([i,j]))
        h_feats{counter} = cooc3d(imgs{i}, imgs{j});
        
        counter = counter+1;
    end
end

hfeats = [h_feats{:}];

end

