

model_settings_path = [parentdir filesep 'model_settings_sub.mat'];
model_path = [parentdir filesep 'cellModel_sub.mat'];
featfile = [parentdir filesep 'haralick_feats_sub.mat'];

if ~exist(featfile, 'file')

    cd(parentdir)

    addpath(genpath([parentdir filesep 'code']));

    script_getBBBCdata

    script_segImgs


    load(model_settings_path);



    maxcells = 100;
    c = 1;
    for i = 1:length(segfile)
        load(segfile{i});

        im_dapi = double(imread([img_save_dir filesep imgs_suffix{i} filesep imgs_dapi{i}]));
        im_actin = double(imread([img_save_dir filesep imgs_suffix{i} filesep imgs_actin{i}]));
        im_tub = double(imread([img_save_dir filesep imgs_suffix{i} filesep imgs_tub{i}]));

        cellids = cellnum(imnum == i);

        disp([num2str(i) ': ' num2str(length(cellids))]);

        cellmask = bwlabel(cellmask >= 2);

        for j = 1:length(cellids)


            
            [cell_region, cropregion] = pc12_cropImg(cellmask == cellids(j));
            cell_region = double(cell_region);
    %          im_cell{c} = @() cell_region;
    % 
    %          dna_region = dnamask == mask_ids(j);
    % 
    %          dna_region = dna_region(cropregion(1):cropregion(2), cropregion(3):cropregion(4));

             dapi_region = im_dapi(cropregion(1):cropregion(2), cropregion(3):cropregion(4)).*cell_region;
             actin_region = im_actin(cropregion(1):cropregion(2), cropregion(3):cropregion(4)).*cell_region;
             tub_region = im_tub(cropregion(1):cropregion(2), cropregion(3):cropregion(4)).*cell_region;

             hfeats{c} = haralickTexture({dapi_region, actin_region, tub_region});

             if any(isnan(hfeats{c}))
                 disp('asdf')
             end
             
    %         im_dna{c} = @() dna_region;

    % 
    %         imnum(c) = i;
    %         cellnum(c) = mask_ids(j);
             c = c+1;
        end
    end

    save(featfile, 'hfeats', 'imnum', 'cellnum')

else
    load(featfile)
end

