

model_settings_path = [parentdir filesep 'model_settings_sub.mat'];
model_path = [parentdir filesep 'cellModel_sub.mat'];
featfile = [parentdir 'objfeats_feats_sub.mat'];

if ~exist(featfile, 'file')

    load(model_settings_path);

    dnafeats = cell(1, model.cellShapeModel.numimgs);
    cellfeats = cell(1, model.cellShapeModel.numimgs);
    
    for i = 1:model.cellShapeModel.numimgs
        img = model.cellShapeModel.imfunc(i);
        if ~isempty(img)
            [dnafeats{i}, cellfeats{i}] = cell2objfeat(img);    
        end
    end
  
    save(featfile, 'dnafeats', 'cellfeats', 'imnum', 'cellnum')

else
    load(featfile)
end
