function [angle_rads] = imgs2angle(im1, im2)
%computes the x-y angle between the major axies of two binary regions
%returns angle(im1) - angle(im2)

    c1 = regionprops(sum(im1,3)>0, 'Orientation');
    c2 = regionprops(sum(im2,3)>0, 'Orientation');


    angle_rads = c1.Orientation - c2.Orientation;
end

