function [ delta ] = imgs2offset( im1, im2 )
%computes the xyz offset between 2 binary regions
    
    c1 = regionprops(im1>0, 'Centroid');
    c2 = regionprops(im2>0, 'Centroid');

    delta = c1.Centroid - c2.Centroid;

end

