function [ output_args ] = model2objfeats( model, featdir )
%MODEL2OBJFEATS Summary of this function goes here
%   Detailed explanation goes here

if ~exist(featdir, 'dir')
    mkdir(featdir)
end

for i = 1:length(model.cellShapeModel.numimgs)
    featfile = [featdir filesep 'f' num2str(i) ];
    [can_start, featfile, final_exists, ~] = chunk_start( featfile, '.mat');
    
    if can_start & ~final_exists
        feats = get_object_features(model.cellShapeModel.imfunc(i));
        save(featfile, 'feats')
    end
    
end

