function [ x_pvals ] = pred_pval2(x, x_pred )
%CELL_NUC_PRED_PVAL2 Summary of this function goes here
%   Detailed explanation goes here

%take the upper triangle of the distance matrix
dists = squareform(pdist(x));
dists = repmat(dists(logical(triu(ones(size(dists)),1)))', [size(x,1),1]);

pred_dists = sqrt(sum((x - x_pred).^2,2));

further_than = repmat(pred_dists, [1, size(dists,2)]) >= dists;

x_pvals = (sum(further_than,2) + 1)./(size(further_than,2) + 1);


end

