projectdirs = {'/projects/cellorganizer/gj/shapeSpace/', ...
              '/Volumes/Data/Documents/Murphylab/projects/shapeSpace', ...
              '/Users/Greg/Documents/murphylab/projects/shapeSpace'};
          
for i = 1:length(projectdirs)
    if exist(projectdirs{i}, 'dir')
        projectdir = projectdirs{i};
        break
    end
end

save_img_dir = [projectdir filesep 'figures' filesep 'seg_imgs'];
if ~exist(save_img_dir, 'dir')
    mkdir(save_img_dir)
end


%%% alon demo
save_img_dir_alon = [save_img_dir filesep 'alon'];
if ~exist(save_img_dir_alon, 'dir')
    mkdir(save_img_dir_alon)
end

script_alon_setup_v3

img_path = [imgdir '/AlonMovies3/310506pl2A5_COX7C/Fluor2/P14/fluo2-P14.003.TIF'];
img = ml_readimage(img_path);
[ seg_dna_final, seg_cell_final ] = segCells_alon_v3_special(img);

imwrite(mat2gray([mat2gray(imadjust(img)) mat2gray(double(seg_dna_final>0) + double(seg_cell_final>0))]), [save_img_dir filesep 'alon_example.png'], 'png')


%%% BBBC021 demo



