function [ pred_framefiles, perm_framefiles ] = shape_generator_pred_struct( model, pred_struct, savedir, param )
%PRED_SHAPE_GENERATOR Summary of this function goes here
%   Detailed explanation goes here

if ~exist('param', 'var')
    param = [];
end
param = ml_initparam(param, struct('skipsynth', false));


if ~exist(savedir, 'dir')
    mkdir(savedir)
end

pred_dir = [savedir filesep 'pred'];
if ~exist(pred_dir, 'file')
    mkdir(pred_dir)
end

pred_framefiles = shape_generator(model, pred_struct.y_pred, pred_dir, param);

perm_dir = [savedir filesep 'perm'];
if ~exist(perm_dir, 'file')
    mkdir(perm_dir)
end

perm_framefiles = [];
% 
% pred_perm = [pred_struct.y_pred_perm{:}];
% 
% pred_perm = vertcat(pred_perm.y_pred);
% 
% perm_framefiles_tmp = shape_generator(model, pred_perm, perm_dir, param);
% 
% niters = length(pred_struct.y_pred_perm);
% perm_framefiles = cell(1, niters);
% 
% prev_end = 0;
% 
% for i = 1:length(pred_struct.y_pred_perm)
%     start = prev_end + 1;
%     
%     prev_end = start + size(pred_struct.y_pred_perm{i}.y_pred,1)-1;
%     
%     perm_framefiles{i} = perm_framefiles_tmp(start:prev_end);
% end

end

