
clear all;

script_modelsetup_newseg

dnaintens = zeros(size(dnaimgs));
masksize = zeros(size(dnaimgs));

for i = 1:length(dnaimgs)
    disp([num2str(i) filesep num2str(length(dnaimgs))]);
    try
        dnamask = ml_readimage(dnaimgs{i});
        imdna = ml_downsize(imfunc_helamodel([imgdir{i} filesep 'dna']), downsampling);
        dnaintens(i) = sum(double(dnamask(:)) .* double(imdna(:)>0));
        masksize(i) = sum(double(dnamask(:)>0));
    catch
        disp('fail')
    end
end

save([diffeodir '/dnaintens_mask.mat'], 'dnaintens', 'masksize');
