function img2slml_alon_nuc_align( build )

if ~exist('build', 'var')
    build = false;
end

script_alon_setup_v2

param.model.filename = 'cellModel_nuc_align.mat';
param.tempparent = 'temp_nuc_align';
param.model.diffeomorphic.com_align = 'nuc';

param.model.diffeomorphic.useCurrentResults = false;

% param.model.diffeomorphic.distances_computed_before_saving = 200;

if build
    param.model.diffeomorphic.useCurrentResults = true;

    param.model.diffeomorphic.embedding.method = 'regress';
    param.model.diffeomorphic.embedding.weighted = false;
end

rng()

model = img2slml(dimensionality, im_dna, im_cell, [], param);

system(['chmod ugo+rx ' expdir])

end

