

% [a,b] = PLDA(model.cellShapeModel.positions, object_info.obj_movieids, 0.15, 7);
% pos = model.cellShapeModel.positions*a;

pos = model.cellShapeModel.positions;

model.cellShapeModel.positions = pos;

figure, hold on

for i = 1:size(object_info.transition_obj_inds,1)
    i1 = object_info.transition_obj_inds(i,1);
    i2 = object_info.transition_obj_inds(i,2);
    
    p1 = model.cellShapeModel.positions(i1, 1:2);
    p2 = model.cellShapeModel.positions(i2, 1:2);
    
%     plot([p1(1), p2(1)], [p1(2), p2(2)]);
    arrow(p1, p2, 'length', 5);
end

rng(0)
rp = randperm(size(model.cellShapeModel.positions,1));
scatter(model.cellShapeModel.positions(rp,1), model.cellShapeModel.positions(rp,2), 100, object_info.obj_condition(rp),'.')
 
axis tight
axis equal
 
 saveas(gcf, [figuredir filesep 'all_transitions.tif'], 'tif')