
if ~exist('projectdir', 'var') | isempty(projectdir)
    projectdirs = {'/projects/cellorganizer/gj/shapeSpace/', ...
                  '/Volumes/Data/Documents/Murphylab/projects/shapeSpace', ...
                  '/Users/Greg/Documents/murphylab/projects/shapeSpace'};

    for i = 1:length(projectdirs)
        if exist(projectdirs{i}, 'dir')
            projectdir = projectdirs{i};
            break
        end
    end
end

addpath(genpath([projectdir filesep 'code']));

rmpath([projectdir filesep 'code/cellorganizer/utilities/netlab/matlab/']);

parentdir = [projectdir filesep 'Alon'];
addpath(genpath([parentdir filesep 'code']));

imgdir = [parentdir filesep 'images'];


resultsdir = [parentdir filesep 'results'];
if ~exist(resultsdir, 'dir')
    mkdir(resultsdir)
end


figuredir = [parentdir filesep 'figures'];
if ~exist(figuredir, 'dir')
    mkdir(figuredir)
end