function [ outregion ] = get_region_from_mask(dnamask, cellmask, region_id, dna_or_cell)
%GET_CELL_FROM Summary of this function goes here
%   Detailed explanation goes here

[cellmask, cropregion] = pc12_cropImg(cellmask == region_id);

if strcmpi(dna_or_cell, 'cell')
    outregion = cellmask;
elseif strcmpi(dna_or_cell, 'dna')
    dnamask = dnamask == region_id;
    
    outregion = dnamask(cropregion(1):cropregion(2), cropregion(3):cropregion(4));
end

