function img2slml_bbbc021(build)

if ~exist('build', 'var') | isempty(build)
    build = false;
end

bbbc021setup_sub


param.model.filename = 'cellModel_nuc_align.mat';
param.tempparent = 'temp_nuc_align';
param.model.diffeomorphic.com_align = 'nuc';

param.model.diffeomorphic.useCurrentResults = false;

% param.model.diffeomorphic.distances_computed_before_saving = 200;

if build
    param.model.diffeomorphic.useCurrentResults = true;

    param.model.diffeomorphic.embedding.method = 'regress landmark';
    param.model.diffeomorphic.embedding.weighted = false;
end

rng()

model = img2slml(dimensionality, im_dna, im_cell, [], param);

% save(settingsfile);


