

bbbc021setup

load([parentdir filesep 'cellModel.mat'])
load([parentdir filesep 'model_settings.mat']);
load([parentdir filesep 'images' filesep 'dat.mat']);


[classes, ~, classind ] = unique(imgs_compound(imnum));

colors = jet(length(classes));
colors = colors(classind,:);




 fig = figure('color', 'w');
set(fig, 'OuterPosition', [1,1, 1200, 1200])
pause(1)

param.subsize = 200;

[~, ~, stats] = manova1(model.cellShapeModel.positions, classind);

model_temp = model;
model_temp.cellShapeModel.positions = stats.canon;


pos = showShapeSpaceFigure(model_temp, classind, param)
saveas(gcf, [shapespacedir filesep 'figures' filesep 'fig4_a.png'], 'png');
close(gcf);


figure, 
gscatter(pos(:,1), pos(:,2), classind, jet(length(classes))*0.8, [], 25)
legend(classes)
saveas(gcf, [shapespacedir filesep 'figures' filesep 'fig4_a_legend.png'], 'png');
close(gcf)

