parentdir = '/projects/cellorganizer/gj/shapeSpace/Alon/results/script_test_cell_nuc_pred';

dirs = dir([parentdir filesep 'c*']);

for i = 1:length(dirs)
    iterdir = [parentdir filesep dirs(i).name filesep 'iterdir'];
    
    disp(iterdir)
    
    files = dir([iterdir filesep '*.mat']);
    files = {files.name};
    
    tokens = regexp(files, 'k_c2n|k_n2c|_|.mat', 'split');
    
    datdir = cellfun(@(x) x{2}, tokens, 'UniformOutput', false);
    udatdirs = unique(datdir);
    
    for j = 1:length(udatdirs)
        command = ['mkdir ' iterdir filesep 'dat' udatdirs{j}];
        system(command);
    end
    
    
    for j = 1:length(tokens)
        if mod(j, 1000) == 0
            disp([num2str(j) filesep num2str(length(tokens))]);
        end
        command = ['mv ' iterdir filesep files{j} ' ' iterdir filesep 'dat' tokens{j}{2} filesep];
%         disp(command)
         system(command);
        
    end
end